<?php
$shortcode_class = '.fat-maika-shortcode-' . $gallery_id;
?>
<style type='text/css' id="fat-portfolio-custom-css-<?php echo isset($gallery_id) ? $gallery_id : ''; ?>">
    /** category filter **/
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-category-filter li a {
        font-size: <?php echo isset($gallery_config['filter_font_size']) ? $gallery_config['filter_font_size'] : '14'; ?>px;
        text-transform: <?php echo isset($gallery_config['filter_style'])? $gallery_config['filter_style'] : 'none'; ?>;
        color: <?php echo isset($gallery_config['filter_text_color']) && $gallery_config['filter_text_color'] ? $gallery_config['filter_text_color'] : '#343434'; ?>;
        -webkit-transition: all 0.3s;
        -moz-transition: all 0.3s;
        -ms-transition: all 0.3s;
        -o-transition: all 0.3s;
        transition: all 0.3s;
    }
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-category-filter.cat-skin-03  ul.fat-maika-category > li > span.filter-count,
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-category-filter li a.active,
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-category-filter li a:hover {
        color: <?php echo isset($gallery_config['filter_text_active_color']) && $gallery_config['filter_text_active_color'] ? $gallery_config['filter_text_active_color'] : '#343434'; ?>;
    }
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-category-filter  li > a{
        background-color: <?php echo isset($gallery_config['filter_bg_color']) && $gallery_config['filter_bg_color'] ? $gallery_config['filter_bg_color'] : 'transparent'; ?>;
    }
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-category-filter  ul.sub-cat li > a{
        background-color: #fff;
    }
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-category-filter li > a.active,
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-category-filter  li > a:hover{
       background-color: <?php echo isset($gallery_config['filter_bg_active_color']) && $gallery_config['filter_bg_active_color'] ? $gallery_config['filter_bg_active_color'] : 'transparent'; ?> !important;
    }
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-category-filter.cat-skin-03  ul.fat-maika-category > li > span.filter-count,
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-category-filter.cat-skin-03  ul.fat-maika-category > li > span.filter-count:before{
        background-color: <?php echo isset($gallery_config['filter_bg_active_color']) && $gallery_config['filter_bg_active_color'] ? $gallery_config['filter_bg_active_color'] : '#ddd'; ?> !important;
    }
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-overlay {
        background-color: <?php echo isset($gallery_config['bg_hover_color']) ? $gallery_config['bg_hover_color'] : 'transparent' ?>;
    }
    /** title and category */
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-title,
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-title a,
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-title a:active,
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-title a:focus{
        color: <?php echo isset($gallery_config['title_color']) && $gallery_config['title_color'] ? $gallery_config['title_color'] : '#343434'; ?>;
        font-size: <?php echo isset($gallery_config['title_font_size']) && $gallery_config['title_font_size'] ? $gallery_config['title_font_size'].'px' : '16px'; ?>;
        text-transform: <?php echo isset($gallery_config['title_style']) && $gallery_config['title_style'] ? $gallery_config['title_style'] : 'none'; ?>;
    }
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-title:hover,
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-title:hover a,
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-title:hover a:active,
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-title:hover a:focus{
        color: <?php echo isset($gallery_config['title_active_color']) && $gallery_config['title_active_color'] ? $gallery_config['title_active_color'] : '#343434'; ?>;
    }
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-category{
        color: <?php echo isset($gallery_config['category_color']) && $gallery_config['category_color'] ? $gallery_config['category_color'] : '#343434'; ?>;
        font-size: <?php echo isset($gallery_config['category_font_size']) && $gallery_config['category_font_size'] ? $gallery_config['category_font_size'].'px' : '14px'; ?>;
        text-transform: <?php echo isset($gallery_config['category_style']) && $gallery_config['category_style'] ? $gallery_config['category_style'] : 'none'; ?>;
    }
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-category:hover{
        color: <?php echo isset($gallery_config['category_active_color']) && $gallery_config['category_active_color'] ? $gallery_config['category_active_color'] : '#343434'; ?>;
    }
    /** icon */
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-icon a{
        background-color: <?php echo isset($gallery_config['icon_bg_color']) && $gallery_config['icon_bg_color'] ? $gallery_config['icon_bg_color'] : 'transparent'; ?>;
    }
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-icon a.fat-maika-link-icon,
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-icon a.view-gallery{
        color: <?php echo isset($gallery_config['icon_color']) && $gallery_config['icon_color'] ? $gallery_config['icon_color'] : '#fff'; ?>;
    }
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-icon a:after,
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-icon a:before{
        background-color: <?php echo isset($gallery_config['icon_color']) && $gallery_config['icon_color'] ? $gallery_config['icon_color'] : '#fff'; ?>;
    }
    /** paging */
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-paging-container.load-more a{
        color: <?php echo isset($gallery_config['paging_text_color']) && $gallery_config['paging_text_color'] ? $gallery_config['paging_text_color'] : '#fff'; ?>;
        background-color: <?php echo isset($gallery_config['bg_paging_color']) && $gallery_config['bg_paging_color'] ? $gallery_config['bg_paging_color'] : '#343434'; ?>;
    }
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-paging-container.load-more a:hover{
        color: <?php echo isset($gallery_config['paging_text_active_color']) && $gallery_config['paging_text_active_color'] ? $gallery_config['paging_text_active_color'] : '#fff'; ?>;
        background-color: <?php echo isset($gallery_config['bg_paging_active_color']) && $gallery_config['bg_paging_active_color'] ? $gallery_config['bg_paging_active_color'] : '#343434'; ?>;
    }

    <?php echo esc_attr($shortcode_class); ?> .fat-maika-listing.owl-carousel .owl-dots .owl-dot span{
        background-color: <?php echo isset($gallery_config['nav_color']) && $gallery_config['nav_color'] ? $gallery_config['nav_color'] : '#dddddd'; ?>;
    }
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-listing.owl-carousel .owl-dots .owl-dot.active span,
    <?php echo esc_attr($shortcode_class); ?> .fat-maika-listing.owl-carousel .owl-dots .owl-dot:hover span{
          background-color: <?php echo isset($gallery_config['nav_hover_color']) && $gallery_config['nav_hover_color'] ? $gallery_config['nav_hover_color'] : '#faa71a'; ?>;
    }
    <?php echo isset($gallery_config['custom_css']) ? $gallery_config['custom_css'] : ''; ?>
</style>