<?php
/**
 * Created by PhpStorm.
 * User: phuongth
 * Date: 8/1/2017
 * Time: 11:21 AM
 */
$demos = array(
    'demo-01' => array(
        'title' => 'Loki Demo',
        'thumb' => plugins_url('/data/demo.jpg',__FILE__),
        'data' => 'demo.json'
    )
)
?>
<div class="fat-install-demo-container">
    <div class="page-title">
        <h2><?php echo esc_html__('Install Demo Data','loki'); ?></h2>
    </div>
    <div class="fat-data-demo">
        <ul>
            <?php foreach($demos as $demo){ ?>
                <li class="demo-item">
                    <div class="demo-item-wrap">
                        <div class="demo-item-inner">
                            <div class="demo-overlay">
                                <h3><?php echo esc_attr($demo['title']); ?></h3>
                            </div>
                            <img src="<?php echo esc_url($demo['thumb']); ?>">
                        </div>
                    </div>
                    <div class="demo-item-footer">
                        <a class="fat-bt-install" data-demo-file="<?php echo esc_attr($demo['data']); ?>" href="javascript:void(0);"><?php echo esc_html__('Intall demo','fat-core'); ?></a>
                    </div>
                </li>
            <?php } ?>
        </ul>
    </div>
</div>
