jQuery(function ($) {
    'use strict';
    $(document).ready(function () {
        $('.fat-cmb-image-select-wrap .fat-cmb-image-select-item').on('click',function(){
            var self = $(this),
                container = self.closest('.fat-cmb-image-select-wrap'),
                value = self.attr('data-value');
            $('.fat-cmb-image-select-item.active',container).removeClass('active');
            self.addClass('active');
            $('input[type="hidden"]', container).val(value).change();
            $(document).trigger('refresh_depend_field');
        });

        $('.fat-cmb-image-select-wrap .fat-cmb-field.owl-carousel').each(function(){
            if ($.isFunction($.fn.owlCarousel)) {

                var $owl = $(this),
                    defaults = {
                        items: 4,
                        nav: false,
                        navText: ['<i class="fa fa-angle-left"></i> ', ' <i class="fa fa-angle-right"></i>'],
                        dots: true,
                        loop: false,
                        margin: 15,
                    };
                var config = $.extend({}, defaults, $owl.data("owl-options"));
                // Initialize Slider
                $($owl).imagesLoaded(function(){
                    $owl.owlCarousel(config);
                });
            }
        })

    });
});
