<?php
/**
 * Created by PhpStorm.
 * User: Roninwp
 * Date: 10/15/2016
 * Time: 10:03 PM
 */
namespace FAT_Libs;

class fat_cmb_heading
{
    public $label;
    public $col_width = 'fat-cmb-col-6';
    public $description = '';
    public $css_class = '';

    public function __construct()
    {
    }

    public function render()
    {
        ?>
        <div
            class="<?php echo esc_attr($this->col_width) ?> <?php echo esc_attr($this->css_class) ?> fat-cmb-heading-wrap">
            <label ><?php echo esc_attr($this->label) ?></label>
            <div class="fat-cmb-field">
                <div><?php echo esc_html($this->std); ?> </div>
                <?php if (isset($this->description) && $this->description != ''): ?>
                    <span class="fat-cmb-description" style="font-style: italic"><?php echo esc_html($this->description); ?> </span>
                <?php endif; ?>
            </div>
        </div>
    <?php }
}
