<?php
/**
 * Created by PhpStorm.
 * User: PhuongTH
 * Date: 10/16/2017
 * Time: 10:08 AM
 */
$categories = FAT_Maika_Utils::get_category($gallery_images);
if(isset($default_category) && $default_category!=''){
    foreach($categories['sub_cat'] as $key=>$val){
        if($categories['sub_cat'][$key]['id']==$default_category){
            $categories['sub_cat'][$key]['is_default'] = '1';
        }
    }
}

$cat_count = array();
$total = 0;
foreach ($gallery_images as $gallery) {
    if (isset($gallery['imgs'])) {
        $total += count($gallery['imgs']);
        $cat_count[$gallery['id']] = count($gallery['imgs']);
    }
}
$css_class = "fat-maika-category-filter " . $filter_layout . ' '.$filter_align;
$css_class .= isset($filter_dropdown_mobile) && $filter_dropdown_mobile=='on' ? ' filter-dropdown-mobile' : '';
?>
<div class="<?php echo esc_attr($css_class); ?>">
    <ul class="fat-maika-category">
        <?php if (!isset($disable_all_filter) || $disable_all_filter != 'on'): ?>
            <li>
                <span class="filter-count"><?php echo($categories['id'] == 'j1_1' ? $total : ''); ?></span>
                <a href="javascript:void(0)"
                   data-category="<?php echo esc_attr($categories['id']); ?>"><?php echo esc_attr($categories['text']); ?></a>
            </li>
        <?php endif; ?>
        <?php
        if (isset($categories['sub_cat'])) {
            echo FAT_Maika_Utils::render_category($categories['sub_cat'], true, $cat_count);
        }
        ?>
    </ul>

    <?php if (isset($filter_dropdown_mobile) && $filter_dropdown_mobile == 'on') :
        $dropdown_cats = FAT_Maika_Utils::get_dropdown_category($gallery_images) ?>
        <select class="fat-maika-category-mobile">
            <?php foreach ($dropdown_cats as $cat) { ?>
                <option value="<?php echo esc_attr($cat['id']); ?>" <?php echo isset($cat['is_default']) && $cat['is_default']==1 ? 'selected' : '';?> ><?php echo esc_html($cat['text']); ?></option>
            <?php } ?>
        </select>
    <?php endif; ?>
</div>
