<?php
/**
 * Created by PhpStorm.
 * User: PhuongTH
 * Date: 10/14/2017
 * Time: 4:01 PM
 */

$gallery_images = json_decode($gallery_images, true);
$images = array();
$image_height = isset($gallery_config['photopile_image_height']) ? $gallery_config['photopile_image_height'] : 150;
$rand = 0;
foreach ($gallery_images as $gallery) {
    if (isset($gallery['imgs'])) {
        foreach ($gallery['imgs'] as $img) {
            $attachments[] = $img['id'];
            $images[$img['id']] = array(
                'cat_id' => $gallery['id'],
                'cat_name' => $gallery['text'],
                'title' => $img['title'],
                'description' => $img['description'],
                'link' => $img['link'],
                'video_embed' => $img['video_embed'],
                'is_exists' => ''
            );

            $images[$img['id']]['url_origin'] = wp_get_attachment_image_url($img['id'],$popup_image_size);

            FAT_Maika_Utils::get_image_size_photopile($img['id'], $image_width, $image_height);
            $resize = fat_maika_matthewruddy_image_resize_id($img['id'], $image_width, $image_height);
            $images[$img['id']]['thumb_width'] = $image_width;
            $images[$img['id']]['thumb_height'] = $image_height;
            if ($resize != null && is_array($resize)){
                $images[$img['id']]['thumb'] = $resize['url'];
                $images[$img['id']]['width'] = $image_width;
                $images[$img['id']]['height'] = $image_height;
            }else {
                $images[$img['id']]['thumb'] = $images[$img['id']]['url_origin'];
            }
        }
    }
}
$item_class = 'fat-gallery-item';
$item_class .= ' ' . $skin;
$container_class = 'fat-maika-container fat-maika-shortcode-' . $gallery_id;
$container_class .= isset($disable_download) && $disable_download==='on' ? ' disable-download' : '';
$container_class .= isset($disable_share) && $disable_share === 'on' ? ' disable-share' : '';

?>
<div class="<?php echo esc_attr($container_class); ?>">
    <div class="fat-maika-listing photopile-wrapper">
        <ul class="photopile">
            <?php foreach ($images as $img) { ?>
                <li>
                    <a href="<?php echo esc_url($img['url_origin']);?>">
                        <img src="<?php echo esc_url($img['thumb']);?>" alt="<?php echo esc_attr($img['title']);?>"
                             width="<?php echo esc_attr($img['thumb_width']);?>" height="<?php echo esc_attr($img['thumb_height']);?>"/>
                    </a>
                </li>
            <?php } ?>
        </ul>
    </div>
</div>