<?php
/**
 * Created by PhpStorm.
 * User: PhuongTH
 * Date: 10/16/2017
 * Time: 4:44 PM
 */

?>
<div class="<?php echo esc_attr($item_class); ?> <?php echo esc_attr($image['cat_id'].$image['is_exists']);?> <?php echo (isset($lazy_load) && $lazy_load) ? 'maika-lazy-load' : ''; ?>" data-img-id="<?php echo esc_attr($image['id']);?>">
    <div class="fat-maika-item-inner" data-thumb="<?php echo esc_attr($image['thumb']);?>">
        <?php if(!isset($lazy_load) || !$lazy_load):?>
            <img alt="<?php echo (isset($image['title']) ? $image['title'] : 'Maika'); ?>" src="<?php echo esc_url($image['thumb']);?>"
                 width="<?php echo (isset($image['width']) ? $image['width'] : 375); ?>" height="<?php echo (isset($image['height']) ? $image['height'] : 275); ?>">
        <?php endif; ?>
        <div class="fat-maika-overlay maika-tran-05">

            <div class="fat-maika-icon">
                <?php if(isset($image['link']) && $image['link']!==''): ?>
                    <a class="fat-maika-link-icon" href="<?php echo esc_url($image['link']); ?>"><i class="icon-link icons"></i></a>
                <?php else: ?>
                    <a href="javascript:void(0)" class="view-gallery"
                       data-title="<?php echo esc_attr($image['title']);?>"
                       data-desc="<?php echo esc_attr($image['description']);?>"
                       data-img="<?php echo (isset($image['video_embed']) && $image['video_embed']!='' ? $image['video_embed'] : $image['url_origin']); ?>"
                       data-thumb="<?php echo esc_attr($image['thumb']); ?>"
                       data-width="<?php echo isset($image['orig_width']) ? $image['orig_width'] : '900';?>"
                       data-height="<?php echo isset($image['orig_height']) ? $image['orig_height'] : '600';?>"
                    >
                        <i class="<?php echo (isset($image['video_embed']) && $image['video_embed']!='' ? 'icon-control-play icons' : 'icon-magnifier icons'); ?>"></i>
                    </a>
                <?php endif; ?>
            </div>
            <div class="fat-maika-info-wrap">
                <div class="fat-maika-title  maika-tran-05">
                    <?php if(isset($image['link']) && $image['link']!==''): ?>
                        <a href="<?php echo esc_url($image['link']); ?>" title="<?php echo esc_attr($image['title']); ?>">
                            <?php echo esc_html($image['title']);?>
                        </a>
                    <?php else: ?>
                        <?php echo esc_html($image['title']);?>
                    <?php endif; ?>
                </div>
                <div class="fat-maika-category  maika-tran-05">
                    <?php echo esc_html($image['cat_name']);?>
                </div>
            </div>
        </div>
    </div>
</div>
