"use strict";
(function ($) {
    $(document).ready(function () {
        setTimeout(function(){
            var value = $('#fat-mb-gallery-config input#layout_type').val();
            FatCmbLayoutInit(value);
        },500);

        $('body').on('append_popup',function(){
            var value = $('#fat-mb-gallery-config input#layout_type').val();
            if(value=='timeline'){
                $('.link-to-detail','.fat-cmb-cat-info-inner').show();
            }else{
                $('.link-to-detail','.fat-cmb-cat-info-inner').hide();
            }
        });
        $('.fat-cmb-image-select-wrap .fat-cmb-image-select-item').on('click',function(){
            $('#fat-mb-gallery-config input#layout_type').change(function(){
                var value = $(this).val();
                FatCmbLayoutInit(value);

            });
        });

        function FatCmbLayoutInit(value){
            $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-gallery"]').closest('li').removeClass('disable');
            $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-filter"]').closest('li').removeClass('disable');
            $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-pagination"]').closest('li').removeClass('disable');
            $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-skin"]').closest('li').removeClass('disable');
            $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-font"]').closest('li').removeClass('disable');

            if(value=='before-after'){
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-gallery"]').closest('li').addClass('disable');
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-filter"]').closest('li').addClass('disable');
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-pagination"]').closest('li').addClass('disable');
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-skin"]').closest('li').addClass('disable');
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-font"]').closest('li').addClass('disable');
            }
            if(value=='album-preview' || value=='horizontal-slide'  || value=='photopile'  || value=='justified'){
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-filter"]').closest('li').addClass('disable');
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-pagination"]').closest('li').addClass('disable');
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-skin"]').closest('li').addClass('disable');
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-font"]').closest('li').addClass('disable');
            }
            if(value=='image-accordion'){
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-pagination"]').closest('li').addClass('disable');
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-skin"]').closest('li').addClass('disable');
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-font"]').closest('li').addClass('disable');
            }

            if(value=='timeline'){
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-filter"]').closest('li').addClass('disable');
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-pagination"]').closest('li').addClass('disable');
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-skin"]').closest('li').addClass('disable');
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-font"]').closest('li').addClass('disable');
            }

            if(value=='carousel-slide'){
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-pagination"]').closest('li').addClass('disable');
                $('ul.fat-cmb-tab-settings-nav a[data-tab="tab-filter"]').closest('li').addClass('disable');
            }
        }
    });
})(jQuery);