/**
 * Created by roninwp on 7/1/2017.
 */

"use restrict";
var Fat_Demo_Data = {
    total_done: 0,
    is_process : 0
};
(function ($) {

    Fat_Demo_Data.registerEvent = function () {
        $('a.fat-bt-install','.demo-item-footer').off('click').on('click',function(){
            var confirm = window.confirm("Press OK button to start install demo data. Cancel to leave!");
            if (confirm == true) {
                var self = $(this),
                    $container = self.closest('.demo-item'),
                    $footer = self.closest('.demo-item-footer'),
                    data_file = self.attr('data-demo-file');
                if(typeof data_file !=='undefined'){
                    self.fadeOut(400,function(){
                        $container.addClass('has-install');
                        $('.fat-install-progress', $footer);
                        $footer.append('<div class="fat-install-progress"><div class="fat-install-progress-bar p-left-0" data-percent="0 %"></div></div>');
                        Fat_Demo_Data.is_process = 1;
                        Fat_Demo_Data.install_demo(data_file,'',0);
                    });
                }
            }
        });
    };
    Fat_Demo_Data.install_demo = function(data_file, table_name, start){
        $.ajax({
            url: fat_ajax.ajax_url,
            type: 'POST',
            data: ({
                action: 'fat_import_data',
                data_file: data_file,
                table_name: table_name,
                start: start,
                total_done: Fat_Demo_Data.total_done,
                batch: 10
            }),
            success: function (data) {
                data = $.parseJSON(data);
                Fat_Demo_Data.total_done += parseInt(data.count);
                var percent = Math.floor(Fat_Demo_Data.total_done/data.total * 100),
                    table_name = data.table_name,
                    is_finished = data.is_finished,
                    start = (data.start);

                if(percent<20){
                    $('.fat-install-progress-bar').addClass('p-left-0');
                }else{
                    $('.fat-install-progress-bar').removeClass('p-left-0');
                }
                percent = percent == 100 ? 99 : percent; //for task move and generate image

                $('.fat-install-progress-bar').attr('data-percent', percent + ' %');
                $('.fat-install-progress-bar').css('width', percent + '%');

                if(is_finished == '1'){
                    Fat_Demo_Data.install_image(0);
                }else{
                    Fat_Demo_Data.install_demo(data_file, table_name, start);
                }
            },
            error: function () {
            }
        });
    };

    Fat_Demo_Data.install_image = function(start){
        $.ajax({
            url: fat_ajax.ajax_url,
            type: 'POST',
            data: ({
                action: 'fat_import_image',
                start: start,
                batch: 20
            }),
            success: function (data) {
                data = $.parseJSON(data);
                var  is_finished = data.is_finished;

                if(is_finished == '1'){
                    $('.fat-install-progress-bar').attr('data-percent', '100 %');
                    $('.fat-install-progress-bar').css('width', '100%');
                    setTimeout(function(){
                        Fat_Demo_Data.is_process==0;
                        $(window).off('beforeunload');
                        $('.fat-install-progress-bar').attr('data-percent', 'Install done');
                    },500);
                }else{
                    Fat_Demo_Data.install_image(start);
                }
            },
            error: function () {
            }
        });
    };

    $(document).ready(function(){
        Fat_Demo_Data.registerEvent();
    });
    $(window).on('beforeunload',function(){
        if(Fat_Demo_Data.is_process==1){
            return 'Demo data is processing. Are you sure you want to leave?';
        }
    });
})(jQuery);