<?php
/**
 * Created by PhpStorm.
 * User: PhuongTH
 * Date: 10/16/2017
 * Time: 10:08 AM
 */
$categories = FAT_Maika_Utils::get_category($gallery_images);
if(isset($default_category) && $default_category!=''){
    foreach($categories['sub_cat'] as $key=>$val){
        if($categories['sub_cat'][$key]['id']==$default_category){
            $categories['sub_cat'][$key]['is_default'] = '1';
        }
    }
}

$subs = array();
$cat_filter = '';
$css_class = "fat-maika-category-filter " . $filter_layout . ' '.$filter_align;
$css_class .= isset($filter_dropdown_mobile) && $filter_dropdown_mobile=='on' ? ' filter-dropdown-mobile' : '';
?>
<div class="<?php echo esc_attr($css_class); ?>">
    <div class="cat-parent-wrap">
        <ul class="fat-maika-category">
            <?php if (!isset($disable_all_filter) || $disable_all_filter != 'on'): ?>
                <li>
                    <a href="javascript:void(0)"
                       data-category="<?php echo esc_attr($categories['id']); ?>"><?php echo esc_attr($categories['text']); ?></a>
                </li>
            <?php endif; ?>
            <?php
            if (isset($categories['sub_cat'])) {
                foreach ($categories['sub_cat'] as $sub_cat) {
                    if ($sub_cat['parent'] == $categories['id']) {
                        $cat_filter = $sub_cat['id'];
                        if (isset($sub_cat['sub_cat'])) {
                            $subs[$sub_cat['id']] = $sub_cat['sub_cat'];
                            foreach ($sub_cat['sub_cat'] as $sub) {
                                $cat_filter .= ',' . $sub['id'];
                            }
                        }
                        ?>
                        <li>
                            <a class="<?php echo (isset($sub_cat['is_default']) && $sub_cat['is_default']=='1' ? 'active': ''); ?>" href="javascript:void(0)" data-root="<?php echo esc_attr($sub_cat['id']); ?>"
                               data-category="<?php echo esc_attr($cat_filter); ?>"><?php echo esc_attr($sub_cat['text']); ?></a>
                        </li>
                        <?php
                    }
                }
            }
            ?>
        </ul>
    </div>

    <?php foreach ($subs as $key => $val) { ?>
        <div class="sub-cat-wrap <?php echo esc_attr($key); ?> <?php echo('j1_1' == $key ? 'active' : ''); ?>">
            <ul class="fat-maika-category">
                <?php foreach ($val as $c) { ?>
                    <li>
                        <a href="javascript:void(0)"
                           data-category="<?php echo esc_attr($c['id']); ?>"><?php echo esc_attr($c['text']); ?></a>
                    </li>
                <?php } ?>
            </ul>
        </div>
    <?php } ?>

    <?php if (isset($filter_dropdown_mobile) && $filter_dropdown_mobile == 'on') :
        $dropdown_cats = FAT_Maika_Utils::get_dropdown_category($gallery_images) ?>
        <select class="fat-maika-category-mobile">
            <?php foreach ($dropdown_cats as $cat) { ?>
                <option value="<?php echo esc_attr($cat['id']); ?>" <?php echo isset($cat['is_default']) && $cat['is_default']==1 ? 'selected' : '';?> ><?php echo esc_html($cat['text']); ?></option>
            <?php } ?>
        </select>
    <?php endif; ?>
</div>
